#!/usr/bin/python
# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Nemis (nemis.post@gmail.com)
# Ubuntu One integration based on this tutorial http://developer.ubuntu.com/resources/tutorials/all/practical-ubuntu-one-files-integration/
# 
# GNU LESSER GENERAL PUBLIC LICENSE
# 
# Version 3, 29 June 2007
# 
# see http://www.opensource.org/licenses/LGPL-3.0
### END LICENSE

import sys
import os.path
import unittest
sys.path.insert(0, os.path.realpath(os.path.join(os.path.dirname(__file__), "..")))

from wind import AboutWindDialog

class TestExample(unittest.TestCase):
    def setUp(self):
        self.AboutWindDialog_members = [
        'AboutWindDialog', 'get_builder', 'gettext', 'Gtk']

    def test_AboutWindDialog_members(self):
        all_members = dir(AboutWindDialog)
        public_members = [x for x in all_members if not x.startswith('_')]
        public_members.sort()
        self.assertEqual(self.AboutWindDialog_members, public_members)

if __name__ == '__main__':    
    unittest.main()
