# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Nemis (nemis.post@gmail.com)
# Ubuntu One integration based on this tutorial http://developer.ubuntu.com/resources/tutorials/all/practical-ubuntu-one-files-integration/
# 
# GNU LESSER GENERAL PUBLIC LICENSE
# 
# Version 3, 29 June 2007
# 
# see http://www.opensource.org/licenses/LGPL-3.0
### END LICENSE

# This is your preferences dialog.
#
# Define your preferences in
# data/glib-2.0/schemas/net.launchpad.wind.gschema.xml
# See http://developer.gnome.org/gio/stable/GSettings.html for more info.

from gi.repository import Gio # pylint: disable=E0611

import gettext
from gettext import gettext as _
gettext.textdomain('wind')

import logging
logger = logging.getLogger('wind')

from wind_lib.PreferencesDialog import PreferencesDialog

class PreferencesWindDialog(PreferencesDialog):
    __gtype_name__ = "PreferencesWindDialog"

    def finish_initializing(self, builder): # pylint: disable=E1002
        """Set up the preferences dialog"""
        super(PreferencesWindDialog, self).finish_initializing(builder)

        # Bind each preference widget to gsettings
        settings = Gio.Settings("net.launchpad.wind")
        widget = self.builder.get_object('example_entry')
        settings.bind("example", widget, "text", Gio.SettingsBindFlags.DEFAULT)

        # Code for other initialization actions should be added here.
