# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Nemis (nemis.post@gmail.com)
# Ubuntu One integration based on this tutorial http://developer.ubuntu.com/resources/tutorials/all/practical-ubuntu-one-files-integration/
# 
# GNU LESSER GENERAL PUBLIC LICENSE
# 
# Version 3, 29 June 2007
# 
# see http://www.opensource.org/licenses/LGPL-3.0
### END LICENSE

import optparse


import gettext
from gettext import gettext as _
gettext.textdomain('wind')
from gi.repository import GObject
from gi.repository import Gtk # pylint: disable=E0611

from wind import WindWindow

from wind_lib import set_up_logging, get_version

def parse_options():
    """Support for command line options"""
    parser = optparse.OptionParser(version="%%prog %s" % get_version())
    parser.add_option(
        "-v", "--verbose", action="count", dest="verbose",
        help=_("Show debug messages (-vv debugs wind_lib also)"))
    (options, args) = parser.parse_args()

    set_up_logging(options)

def main():
   
    'constructor for your class instances'
    parse_options()

    # Run the application.    
    window = WindWindow.WindWindow()
    window.show()
    Gtk.main()
